# variable definitions for processing

oz = $(shell echo -0.5*$(dz_for)*$(nz_for) | bc -l) # origin of receiver axis needs to be negative for muting later on

# depth to flat horizons
h1_marine = $(shell echo 0.50*$(nx_for)*$(dx_for) | bc -l)
h2_marine = $(shell echo 0.70*$(nx_for)*$(dx_for) | bc -l)

anomx = $(shell echo $(h1_marine)+10 | bc -l) # anomaly located just below seabed
anomz = $(shell echo 0.2*$(nz_for)*$(dz_for) | bc -l)

rcvrx = $(h1_marine) # anomaly is at the water-bottom, simulating the receiver as a scatterer
rcvrz = $(shell echo 0.2*$(nz_for)*$(dz_for) | bc -l)

# forward modeling  model parameters
rho0_marine = 1025
rho1_marine = 1700
rho2_marine = 1700
rhoa = 400
rhoa_rcvr = 400

vp0_marine = 1500
vp1_marine = 1600
vp2_marine = 1600
vpa = 150
vpa_rcvr = 250

vs0_marine = 0
vs1_marine_min = 600
vs1_marine = 600
vs2_marine = 600
vsa = 300
vsa_rcvr = 900


