pc0 = pclip=99
pc1 = pclip=99
pc2 = pclip=99
pc4 = pclip=99

greypar = label1="time (sec)" label2="X (m)" title=" " wantscalebar=y grid=y d1num=0.4 d2num=200 labelsz=6 titlesz=6
greypar4 = label1="Z (m)" label2="X (m)" title=" " grid=y d1num=200 d2num=200 labelsz=10
greypar5 = pclip=100 bias=1.6 label1="Z (m)" label2="X (m)" title=" " wantscalebar=y labelsz=10 barlabel="km/sec"

graphpar2 = label1="time (sec)" label2="mm" title=" " legend=y curvelabel="Ux:Uz" legendsz=10 labelsz=8 titlesz=8 plotfat=5
graphpar3 = label1="time (sec)" title=" " labelsz=8 titlesz=8 plotfat=5
graphpar33 = ${graphpar3} symbol='-+' symbolsz=3 legend=y legendsz=7 curvelabel="P:Scholte"
graphpar4 = label1="time (sec)" label2="rotation-displacement ratio" title=" " labelsz=8 titlesz=8 plotfat=5 max2=0.3

desamp1 = Window3d j1=3 j2=3
desamp4 = Window3d j1=2 j2=3

# velocity models
${R}/vp2d.v: ${D}/vp2d.H
	Scale < $< rscale=1e-3 | Grey ${greypar5} out=$@ > ${dn}

${R}/vp2d-anom.v: ${D}/vp2d_anom.H
	Scale < $< rscale=1e-3 | Grey ${greypar5} out=$@ > ${dn}

# wavefield snaps at some time
${R}/0P2b.v: ${D}/0P2.H
	Window3d < $< min3=0.3 n3=1 | ${desamp4} | Grey ${greypar4} pclip=97 out=$@ > ${dn}

${R}/0S2b.v: ${D}/0S2.H
	Window3d < $< min3=0.3 n3=1 | ${desamp4} | Grey ${greypar4} out=$@ > ${dn}

${R}/0rot2b.v: ${D}/0rot2.H
	Window3d < $< min3=0.3 n3=1 | ${desamp4} | Grey ${greypar4} out=$@ > ${dn}

${R}/0vx2b.v: ${D}/0vx2.H
	Window3d < $< min3=0.3 n3=1 | ${desamp4} | Grey ${greypar4} out=$@ > ${dn}

${R}/0vz2b.v: ${D}/0vz2.H
	Window3d < $< min3=0.3 n3=1 | ${desamp4} | Grey ${greypar4} out=$@ > ${dn}

${R}/0ux2b.v: ${D}/0ux2.H
	Window3d < $< min3=0.3 n3=1 | ${desamp4} | Grey ${greypar4} out=$@ > ${dn}

${R}/0uz2b.v: ${D}/0uz2.H
	Window3d < $< min3=0.3 n3=1 | ${desamp4} | Grey ${greypar4} out=$@ > ${dn}

${R}/0P2.v: ${D}/0P2.H
	Window3d < $< min3=0.8 n3=1 | ${desamp4} | Grey ${greypar4} pclip=97 out=$@ > ${dn}

${R}/0S2.v: ${D}/0S2.H
	Window3d < $< min3=0.8 n3=1 | ${desamp4} | Grey ${greypar4} out=$@ > ${dn}

${R}/0rot2.v: ${D}/0rot2.H
	Window3d < $< min3=0.8 n3=1 | ${desamp4} | Grey ${greypar4} out=$@ > ${dn}

${R}/0vx2.v: ${D}/0vx2.H
	Window3d < $< min3=0.8 n3=1 | ${desamp4} | Grey ${greypar4} out=$@ > ${dn}

${R}/0vz2.v: ${D}/0vz2.H
	Window3d < $< min3=0.8 n3=1 | ${desamp4} | Grey ${greypar4} out=$@ > ${dn}

${R}/0ux2.v: ${D}/0ux2.H
	Window3d < $< min3=0.8 n3=1 | ${desamp4} | Grey ${greypar4} out=$@ > ${dn}

${R}/0uz2.v: ${D}/0uz2.H
	Window3d < $< min3=0.8 n3=1 | ${desamp4} | Grey ${greypar4} out=$@ > ${dn}

wavefields:
	rm -f ${R}/0P2.v ${R}/0S2.v ${R}/0rot2.v ${R}/0vx2.v ${R}/0vz2.v ${R}/0ux2.v ${R}/0uz2.v
	make  ${R}/0P2.v ${R}/0S2.v ${R}/0rot2.v ${R}/0vx2.v ${R}/0vz2.v ${R}/0ux2.v ${R}/0uz2.v
	rm -f ${R}/0P2b.v ${R}/0S2b.v ${R}/0rot2b.v ${R}/0vx2b.v ${R}/0vz2b.v ${R}/0ux2b.v ${R}/0uz2b.v
	make  ${R}/0P2b.v ${R}/0S2b.v ${R}/0rot2b.v ${R}/0vx2b.v ${R}/0vz2b.v ${R}/0ux2b.v ${R}/0uz2b.v


# water over solid
${R}/0Pr1.v: ${D}/0Pr1.H
	Transp < $< | Scale rscale=1e-5 | ${desamp1} | Grey ${pc1} ${greypar} barlabel="bars" out=$@ > ${dn}

${R}/0Sr1.v: ${D}/0Sr1.H
	Transp < $< | Scale rscale=1e-5 | ${desamp1} | Grey ${pc1} ${greypar} barlabel="bars" out=$@ > ${dn}

${R}/0rotr1.v: ${D}/0rotr1.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc1} ${greypar} barlabel="milliradians/sec" out=$@ > ${dn}

${R}/0vzr1.v: ${D}/0vzr1.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc1} ${greypar} barlabel="mm/sec" out=$@ > ${dn}

${R}/0vxr1.v: ${D}/0vxr1.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc1} ${greypar} barlabel="mm/sec" out=$@ > ${dn}

${R}/0uzr1.v: ${D}/0uzr1.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc1} ${greypar} barlabel="mm" out=$@ > ${dn}

${R}/0uxr1.v: ${D}/0uxr1.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc1} ${greypar} barlabel="mm" out=$@ > ${dn}


# with near-surface scatterer
${R}/0Pr2.v: ${D}/0Pr2.H
	Transp < $< | Scale rscale=1e-5 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="bars" out=$@ > ${dn}

${R}/0Sr2.v: ${D}/0Sr2.H
	Transp < $< | Scale rscale=1e-5 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="bars" out=$@ > ${dn}

${R}/0rotr2.v: ${D}/0rotr2.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="milliradians/sec" out=$@ > ${dn}

${R}/0vzr2.v: ${D}/0vzr2.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="mm/sec" out=$@ > ${dn}

${R}/0vxr2.v: ${D}/0vxr2.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="mm/sec" out=$@ > ${dn}

${R}/0uzr2.v: ${D}/0uzr2.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="mm" out=$@.tmp > ${dn}
	vp_annotate < $@.tmp text=${R}/NR/arrival-ann.txt batch=y > $@
	rm -f $@.tmp

${R}/0uxr2.v: ${D}/0uxr2.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="mm" out=$@.tmp > ${dn}
	vp_annotate < $@.tmp text=${R}/NR/arrival-ann.txt batch=y > $@
	rm -f $@.tmp

${R}/0Pr2-sub.v: ${D}/0Pr2-sub.H
	Transp < $< | Scale rscale=1e-5 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="bars" out=$@ > ${dn}

${R}/0Sr2-sub.v: ${D}/0Sr2-sub.H
	Transp < $< | Scale rscale=1e-5 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="bars" out=$@ > ${dn}

${R}/0rotr2-sub.v: ${D}/0rotr2-sub.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="milliradians/sec" out=$@ > ${dn}

${R}/0vzr2-sub.v: ${D}/0vzr2-sub.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="mm/sec" out=$@ > ${dn}

${R}/0vxr2-sub.v: ${D}/0vxr2-sub.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="mm/sec" out=$@ > ${dn}

${R}/0uzr2-sub.v: ${D}/0uzr2-sub.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="mm" out=$@ > ${dn}

${R}/0uxr2-sub.v: ${D}/0uxr2-sub.H
	Transp < $< | Scale rscale=1e+3 | ${desamp1} | Grey ${pc2} ${greypar} barlabel="mm" out=$@ > ${dn}

shotgathers:
	rm -f ${R}/vp2d.v ${R}/vp2d-anom.v
	rm -f ${R}/0Pr1.v ${R}/0Sr1.v ${R}/0rotr1.v ${R}/0vzr1.v ${R}/0vxr1.v ${R}/0uzr1.v ${R}/0uxr1.v
	rm -f ${R}/0Pr2.v ${R}/0Sr2.v ${R}/0rotr2.v ${R}/0vzr2.v ${R}/0vxr2.v ${R}/0uzr2.v ${R}/0uxr2.v
	rm -f ${R}/0Pr2-sub.v ${R}/0Sr2-sub.v ${R}/0rotr2-sub.v ${R}/0vzr2-sub.v ${R}/0vxr2-sub.v ${R}/0uzr2-sub.v ${R}/0uxr2-sub.v
	make ${R}/vp2d.v ${R}/vp2d-anom.v
	make ${R}/0Pr1.v ${R}/0Sr1.v ${R}/0rotr1.v ${R}/0vzr1.v ${R}/0vxr1.v ${R}/0uzr1.v ${R}/0uxr1.v
	make ${R}/0Pr2.v ${R}/0Sr2.v ${R}/0rotr2.v ${R}/0vzr2.v ${R}/0vxr2.v ${R}/0uzr2.v ${R}/0uxr2.v
	make ${R}/0Pr2-sub.v ${R}/0Sr2-sub.v ${R}/0rotr2-sub.v ${R}/0vzr2-sub.v ${R}/0vxr2-sub.v ${R}/0uzr2-sub.v ${R}/0uxr2-sub.v

#########################
# crossplots
#########################

winp    = Window3d n1=1 min1=1000 min2=0.62 max2=0.82
wins    = Window3d n1=1 min1=1000 min2=1.6 max2=1.8
wingr   = Window3d n1=1 min1=1000 min2=1.86 max2=2.06
cplotp  = zpos=1000 nwave=2 mint=0.62 maxt=0.82
cplots  = zpos=1000 nwave=2 mint=1.6 maxt=1.8
cplotgr = zpos=1000 nwave=2 mint=1.86 maxt=2.06

# near surface scatterer
0uxzr2-p: ${D}/0uzr2.H ${D}/0uxr2.H
	Merge ${D}/0uzr2.H ${D}/0uxr2.H axis=3 space=n | ${winp} | Scale rscale=1e+3  > ${D}/$@.H
	Graph < ${D}/$@.H ${graphpar2} out=${R}/$@.v > ${dn}

0uxzr2-p-hodo: ${D}/0uzr2.H ${D}/0uxr2.H ${S}/Graphcomp.pl
	Cmplx ${D}/0uzr2.H ${D}/0uxr2.H | ${winp} | Scale rscale=1e+3  > ${D}/$@.H
	${S}/Graphcomp.pl " " "Ux (mm)" "Uz (mm)" 8 8 99 ${D}/$@.H

0uxzr2-s: ${D}/0uzr2-sub.H ${D}/0uxr2-sub.H
	Merge ${D}/0uzr2-sub.H ${D}/0uxr2-sub.H axis=3 space=n | ${wins} | Scale rscale=1e+3  > ${D}/$@.H
	Graph < ${D}/$@.H ${graphpar2} out=${R}/$@.v > ${dn}

0uxzr2-s-hodo: ${D}/0uzr2-sub.H ${D}/0uxr2-sub.H ${S}/Graphcomp.pl
	Cmplx ${D}/0uzr2-sub.H ${D}/0uxr2-sub.H | ${wins} | Scale rscale=1e+3  > ${D}/$@.H
	${S}/Graphcomp.pl " " "Ux (mm)" "Uz (mm)" 8 8 99 ${D}/$@.H

0uxzr2-gr: ${D}/0uzr2-sub.H ${D}/0uxr2-sub.H
	Merge ${D}/0uzr2-sub.H ${D}/0uxr2-sub.H axis=3 space=n | ${wingr} | Scale rscale=1e+3  > ${D}/$@.H
	Graph < ${D}/$@.H ${graphpar2} out=${R}/$@.v > ${dn}

0uxzr2-gr-hodo: ${D}/0uzr2-sub.H ${D}/0uxr2-sub.H ${S}/Graphcomp.pl
	Cmplx ${D}/0uzr2-sub.H ${D}/0uxr2-sub.H | ${wingr} | Scale rscale=1e+3  > ${D}/$@.H
	${S}/Graphcomp.pl " " "Ux (mm)" "Uz (mm)" 8 8 99 ${D}/$@.H

# pressure generated by arrivals
${R}/0Pr2-p.v: ${D}/0Pr2.H
	${winp} < $< | Scale rscale=1e-5 | Graph label2="bars" ${graphpar3} out=$@ > ${dn}

${R}/0Pr2-s.v: ${D}/0Pr2-sub.H
	${wins} < $< | Scale rscale=1e-5 | Graph label2="bars" ${graphpar3} out=$@ > ${dn}

${R}/0Pr2-gr.v: ${D}/0Pr2-sub.H
	${wingr} < $< | Scale rscale=1e-5 | Graph label2="bars" ${graphpar3} out=$@ > ${dn}

# rotation generated by arrivals
${R}/0rotr2-p.v: ${D}/0rotr2.H
	${winp} < $< | Scale rscale=1e+3 | Graph label2="milliradians/sec" ${graphpar3} out=$@ > ${dn}

${R}/0rotr2-s.v: ${D}/0rotr2-sub.H
	${wins} < $< | Scale rscale=1e+3 | Graph label2="milliradians/sec" ${graphpar3} out=$@ > ${dn}

${R}/0rotr2-gr.v: ${D}/0rotr2-sub.H
	${wingr} < $< | Scale rscale=1e+3 | Graph label2="milliradians/sec" ${graphpar3} out=$@ > ${dn}

# P and Scholte graphed together
${R}/0Pr2-p-gr.v: ${D}/0Pr2.H
	${winp}  < $< | Scale rscale=1e-5 > ${D}/tmp1.H
	${wingr} < $< | Scale rscale=1e-5 > ${D}/tmp2.H
	Merge axis=2 space=n ${D}/tmp1.H ${D}/tmp2.H | Graph label2="bars" ${graphpar33} out=$@ > ${dn}
	Rm ${D}/tmp[12].H

${R}/0rotr2-p-gr.v: ${D}/0rotr2.H ${D}/0rotr2-sub.H
	${winp}  < ${D}/0rotr2.H     | Scale rscale=1e+3 > ${D}/tmp1.H
	${wingr} < ${D}/0rotr2-sub.H | Scale rscale=1e+3 > ${D}/tmp2.H
	Merge axis=2 space=n ${D}/tmp1.H ${D}/tmp2.H | Graph label2="milliradians/sec" ${graphpar33} out=$@ > ${dn}
	Rm ${D}/tmp[12].H

0uxzr2-p-gr-hodo: ${D}/0uzr2.H ${D}/0uxr2.H ${S}/Graphcompsym.pl
	Cmplx ${D}/0uzr2.H ${D}/0uxr2.H | ${winp}  | Scale rscale=1e+3  > ${D}/tmp1.H
	Cmplx ${D}/0uzr2.H ${D}/0uxr2.H | ${wingr} | Scale rscale=1e+3  > ${D}/tmp2.H
	Merge axis=2 space=n ${D}/tmp1.H ${D}/tmp2.H > ${D}/$@.H
	${S}/Graphcompsym.pl " " "Ux (mm)" "Uz (mm)" 8 8 '-+' 3 y "P:Scholte" 99 ${D}/$@.H


xplots:
	make 0uxzr2-p 0uxzr2-s 0uxzr2-gr 
	make 0uxzr2-p-hodo 0uxzr2-s-hodo 0uxzr2-gr-hodo 0uxzr2-p-gr-hodo
	rm -f ${R}/0Pr2-p.v ${R}/0Pr2-s.v ${R}/0Pr2-gr.v ${R}/0Pr2-p-gr.v
	make ${R}/0Pr2-p.v ${R}/0Pr2-s.v ${R}/0Pr2-gr.v ${R}/0Pr2-p-gr.v
	rm -f ${R}/0rotr2-p.v ${R}/0rotr2-s.v ${R}/0rotr2-gr.v ${R}/0rotr2-p-gr.v
	make ${R}/0rotr2-p.v ${R}/0rotr2-s.v ${R}/0rotr2-gr.v ${R}/0rotr2-p-gr.v


# Normalized rotation indicator
${R}/0rotind2-p.v: ${D}/0rotr2.H ${D}/0uxzr2-p-hodo.H
	${winp} < ${D}/0rotr2.H | Math file1=in exp='(file1^2)^0.5+0.00000001' > ${D}/tmp1.H
	Cabs < ${D}/0uxzr2-p-hodo.H | Math file1=in exp='file1+0.00000001' > ${D}/tmp2.H
	Math file1=${D}/tmp1.H file2=${D}/tmp2.H exp='file1/file2' | Window3d min1=0.68 > ${D}/0rotind2-p.H
	Graph < ${D}/0rotind2-p.H ${graphpar4} out=$@ > ${dn}

${R}/0rotind2-s.v: ${D}/0rotr2.H ${D}/0uxzr2-s-hodo.H
	${wins} < ${D}/0rotr2.H | Math file1=in exp='(file1^2)^0.5+0.00000001' > ${D}/tmp1.H
	Cabs < ${D}/0uxzr2-s-hodo.H | Math file1=in exp='file1+0.00000001' > ${D}/tmp2.H
	Math file1=${D}/tmp1.H file2=${D}/tmp2.H exp='file1/file2' > ${D}/0rotind2-s.H
	Graph < ${D}/0rotind2-s.H ${graphpar4} out=$@ > ${dn}

${R}/0rotind2-gr.v: ${D}/0rotr2.H ${D}/0uxzr2-gr-hodo.H
	${wingr} < ${D}/0rotr2.H | Math file1=in exp='(file1^2)^0.5+0.00000001' > ${D}/tmp1.H
	Cabs < ${D}/0uxzr2-gr-hodo.H | Math file1=in exp='file1+0.00000001' > ${D}/tmp2.H
	Math file1=${D}/tmp1.H file2=${D}/tmp2.H exp='file1/file2' > ${D}/0rotind2-gr.H
	Graph < ${D}/0rotind2-gr.H ${graphpar4} out=$@ > ${dn}

rotind:
	rm -f ${R}/0rotind2-p.v ${R}/0rotind2-s.v ${R}/0rotind2-gr.v
	make ${R}/0rotind2-p.v ${R}/0rotind2-s.v ${R}/0rotind2-gr.v

NR:
	cp -f ${R}/NR/f18.pdf ${R}/f18.pdf
	cp -f ${R}/NR/obnode.pdf ${R}/obnode.pdf

ER:
	make wavefields
	make shotgathers
	make xplots
	make rotind
	make ${R}/vp2d.pdf ${R}/vp2d-anom.pdf
	make ${R}/0P2.pdf ${R}/0rot2.pdf ${R}/0vx2.pdf ${R}/0vz2.pdf
	make ${R}/0P2b.pdf ${R}/0rot2b.pdf ${R}/0vx2b.pdf ${R}/0vz2b.pdf
	make ${R}/0Pr1.pdf ${R}/0rotr1.pdf ${R}/0uzr1.pdf ${R}/0uxr1.pdf
	make ${R}/0Pr2.pdf ${R}/0rotr2.pdf ${R}/0uzr2.pdf ${R}/0uxr2.pdf
	make ${R}/0Pr2-sub.pdf ${R}/0rotr2-sub.pdf ${R}/0uzr2-sub.pdf ${R}/0uxr2-sub.pdf
	make ${R}/0Pr2-p.pdf ${R}/0Pr2-s.pdf ${R}/0Pr2-gr.pdf  ${R}/0Pr2-p-gr.pdf
	make ${R}/0rotr2-p.pdf ${R}/0rotr2-s.pdf ${R}/0rotr2-gr.pdf ${R}/0rotr2-p-gr.pdf
	make ${R}/0uxzr2-p.pdf ${R}/0uxzr2-p-hodo.pdf ${R}/0uxzr2-s.pdf ${R}/0uxzr2-s-hodo.pdf ${R}/0uxzr2-gr.pdf ${R}/0uxzr2-gr-hodo.pdf ${R}/0uxzr2-p-gr-hodo.pdf
	make ${R}/0rotind2-p.pdf ${R}/0rotind2-s.pdf ${R}/0rotind2-gr.pdf
	rm -f ${R}/*.ps ${R}/*.v


