#================= MODELING ================================

#oz_mute_for    = $(shell echo -0.5*$(dz_for)*$(rec_nz) | bc -l)
oz_mute_for = 0.

# water over solid, no anomaly, source at surface.
rottest_for1: ${B}/sg_elas2d.x ${D}/lambda2d.H ${D}/mu2d.H ${D}/rho2d.H ${P}/mod2d.P ${D}/recs2d_rottest.H ${D}/srcs2d_rottest.H
	${B}/sg_elas2d.x par=${P}/mod2d.P \
	proptype=${SRC} isrc_type=${ST} splitdisp=0 surf_type=0 nt=${nt_for} dt=${dt_for} \
	lambda=${D}/lambda2d.H mu=${D}/mu2d.H rho=${D}/rho2d.H recs=${D}/recs2d_rottest.H srcs=${D}/srcs2d_rottest.H \
	snap_P=${D}/${ST}P1.H    snap_S=${D}/${ST}S1.H snap_vx=${D}/${ST}vx1.H	snap_vz=${D}/${ST}vz1.H \
	rec_P=${D}/${ST}Pr1.H rec_S=${D}/${ST}Sr1.H rec_vx=${D}/${ST}vxr1.H rec_vz=${D}/${ST}vzr1.H \
	rec_ux=${D}/${ST}uxr1.H rec_uz=${D}/${ST}uzr1.H rec_rot=${D}/${ST}rotr1.H
	echo "d1=${dz_for}" >> ${D}/${ST}Pr1.H
	echo "d1=${dz_for}" >> ${D}/${ST}Sr1.H
	echo "d1=${dz_for}" >> ${D}/${ST}vxr1.H
	echo "d1=${dz_for}" >> ${D}/${ST}vzr1.H
	echo "d1=${dz_for}" >> ${D}/${ST}uxr1.H
	echo "d1=${dz_for}" >> ${D}/${ST}uzr1.H
	echo "d1=${dz_for}" >> ${D}/${ST}rotr1.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}Pr1.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}Sr1.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}vxr1.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}vzr1.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}uxr1.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}uzr1.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}rotr1.H

# near-surface anomaly acting as scatterer.
rottest_for2: ${B}/sg_elas2d.x ${D}/lambda2d_anom.H ${D}/mu2d_anom.H ${D}/rho2d_anom.H ${P}/mod2d.P ${D}/recs2d_rottest.H ${D}/srcs2d_rottest.H
	${B}/sg_elas2d.x par=${P}/mod2d.P \
	proptype=${SRC} isrc_type=${ST} splitdisp=0 surf_type=0 nt=${nt_for} dt=${dt_for} \
	lambda=${D}/lambda2d_anom.H mu=${D}/mu2d_anom.H rho=${D}/rho2d_anom.H recs=${D}/recs2d_rottest.H srcs=${D}/srcs2d_rottest.H \
	snap_P=${D}/${ST}P2.H snap_S=${D}/${ST}S2.H snap_vx=${D}/${ST}vx2.H	snap_vz=${D}/${ST}vz2.H \
	snap_rot=${D}/${ST}rot2.H snap_ux=${D}/${ST}ux2.H	snap_uz=${D}/${ST}uz2.H \
	rec_P=${D}/${ST}Pr2.H rec_S=${D}/${ST}Sr2.H rec_vx=${D}/${ST}vxr2.H rec_vz=${D}/${ST}vzr2.H \
	rec_ux=${D}/${ST}uxr2.H rec_uz=${D}/${ST}uzr2.H rec_rot=${D}/${ST}rotr2.H
	echo "d1=${dz_for}" >> ${D}/${ST}Pr2.H
	echo "d1=${dz_for}" >> ${D}/${ST}Sr2.H
	echo "d1=${dz_for}" >> ${D}/${ST}vxr2.H
	echo "d1=${dz_for}" >> ${D}/${ST}vzr2.H
	echo "d1=${dz_for}" >> ${D}/${ST}uxr2.H
	echo "d1=${dz_for}" >> ${D}/${ST}uzr2.H
	echo "d1=${dz_for}" >> ${D}/${ST}rotr2.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}Pr2.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}Sr2.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}vxr2.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}vzr2.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}uxr2.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}uzr2.H
	echo "o1=${oz_mute_for}" >> ${D}/${ST}rotr2.H

gendat:
	make rottest_for1 source=0
	make rottest_for2 source=0

${D}/${ST}Pr2-sub.H: ${D}/${ST}Pr1.H ${D}/${ST}Pr2.H
	Add scale=1,-1 ${D}/${ST}Pr2.H ${D}/${ST}Pr1.H > $@

${D}/${ST}Sr2-sub.H: ${D}/${ST}Sr1.H ${D}/${ST}Sr2.H
	Add scale=1,-1 ${D}/${ST}Sr2.H ${D}/${ST}Sr1.H > $@

${D}/${ST}rotr2-sub.H: ${D}/${ST}rotr1.H ${D}/${ST}rotr2.H
	Add scale=1,-1 ${D}/${ST}rotr2.H ${D}/${ST}rotr1.H > $@

${D}/${ST}vxr2-sub.H: ${D}/${ST}vxr1.H ${D}/${ST}vxr2.H
	Add scale=1,-1 ${D}/${ST}vxr2.H ${D}/${ST}vxr1.H > $@

${D}/${ST}vzr2-sub.H: ${D}/${ST}vzr1.H ${D}/${ST}vzr2.H
	Add scale=1,-1 ${D}/${ST}vzr2.H ${D}/${ST}vzr1.H > $@

${D}/${ST}uxr2-sub.H: ${D}/${ST}uxr1.H ${D}/${ST}uxr2.H
	Add scale=1,-1 ${D}/${ST}uxr2.H ${D}/${ST}uxr1.H > $@

${D}/${ST}uzr2-sub.H: ${D}/${ST}uzr1.H ${D}/${ST}uzr2.H
	Add scale=1,-1 ${D}/${ST}uzr2.H ${D}/${ST}uzr1.H > $@

scattered:
	make ${D}/${ST}Pr2-sub.H ${D}/${ST}Sr2-sub.H ${D}/${ST}rotr2-sub.H ${D}/${ST}vxr2-sub.H ${D}/${ST}vzr2-sub.H ${D}/${ST}uxr2-sub.H ${D}/${ST}uzr2-sub.H source=0

