#============== MODEL BUILDING FOR FORWARD MODELING ===================================

# receiver locations for streamer data forward modeling
${D}/recs2d_rottest.H:  ${B}/create_recs.x ${P}/mod2d.P
	${B}/create_recs.x >$@ par=${P}/mod2d.P

${D}/srcs2d_rottest.H:  ${B}/create_srcs.x ${P}/mod2d.P
	${B}/create_srcs.x >$@ par=${P}/mod2d.P

# water over solid
${D}/rho2d.H: 
	Vel n1=${nx_for} n2=${nz_for} n3=1 o1=0 o2=0 o3=0 d1=${dx_for} d2=${dz_for} d3=1 vc=${rho0_marine} \
	z1=${h1_marine} vr1=${rho1_marine} const1=1 > ${D}/tmprho.H
	Math file1=${D}/tmprho.H exp='1./file1' > $@
	Rm ${D}/tmprho.H

${D}/vp2d.H:
	Vel n1=${nx_for} n2=${nz_for} n3=1 o1=0 o2=0 o3=0 d1=${dx_for} d2=${dz_for} d3=1 vc=${vp0_marine} \
	z1=${h1_marine} vr1=${vp1_marine} const1=1 > $@

${D}/vs2d.H:
	Vel n1=${nx_for} n2=${nz_for} n3=1 o1=0 o2=0 o3=0 d1=${dx_for} d2=${dz_for} d3=1 vc=${vs0_marine} \
	z1=${h1_marine} vr1=${vs1_marine} const1=1 > $@

${D}/mu2d.H: ${D}/rho2d.H ${D}/vs2d.H
	Math file1=${D}/rho2d.H file2=${D}/vs2d.H exp='file2^2/file1' > $@

${D}/lambda2d.H: ${D}/rho2d.H ${D}/vp2d.H ${D}/mu2d.H
	Math file1=${D}/rho2d.H file2=${D}/vp2d.H file3=${D}/mu2d.H exp='file2^2/file1-2*file3' > $@

# anomaly model
${D}/rho2d_anom.H: ${D}/rho2d.H
	Gauss n1=${nx_for} n2=${nz_for} n3=1 o1=0 o2=0 o3=0 d1=${dx_for} d2=${dz_for} d3=${dz_for} maxvel=${rhoa} max1=${anomx} max2=${anomz} max3=0 var=10 zero_at=10 > ${D}/tmprhoanom.H
	Math file1=${D}/rho2d.H exp='1./file1' > ${D}/tmprho.H
	Add scale=1,1 ${D}/tmprho.H ${D}/tmprhoanom.H | Math file1=in exp='1./file1' > $@
	Rm ${D}/tmprhoanom.H ${D}/tmprho.H

${D}/vp2d_anom.H: ${D}/vp2d.H
	Gauss n1=${nx_for} n2=${nz_for} n3=1 o1=0 o2=0 o3=0 d1=${dx_for} d2=${dz_for} d3=${dz_for} maxvel=${vpa} max1=${anomx} max2=${anomz} max3=0 var=10 zero_at=10 > ${D}/tmpvp.H
	Add scale=1,1 ${D}/vp2d.H ${D}/tmpvp.H > $@
	Rm ${D}/tmpvp.H

${D}/vs2d_anom.H: ${D}/vs2d.H
	Gauss n1=${nx_for} n2=${nz_for} n3=1 o1=0 o2=0 o3=0 d1=${dx_for} d2=${dz_for} d3=${dz_for} maxvel=${vsa} max1=${anomx} max2=${anomz} max3=0 var=10 zero_at=10 > ${D}/tmpvs.H
	Add scale=1,1 ${D}/vs2d.H ${D}/tmpvs.H > $@
	Rm ${D}/tmpvs.H

${D}/mu2d_anom.H: ${D}/rho2d_anom.H ${D}/vs2d_anom.H
	Math file1=${D}/rho2d_anom.H file2=${D}/vs2d_anom.H exp='file2^2/file1' > $@

${D}/lambda2d_anom.H: ${D}/rho2d_anom.H ${D}/vp2d_anom.H ${D}/mu2d_anom.H
	Math file1=${D}/rho2d_anom.H file2=${D}/vp2d_anom.H file3=${D}/mu2d_anom.H exp='file2^2/file1-2*file3' > $@

vmodels_for:
	make ${D}/recs2d_rottest.H ${D}/srcs2d_rottest.H
	make ${D}/vp2d.H ${D}/vs2d.H ${D}/rho2d.H ${D}/mu2d.H ${D}/lambda2d.H
	make ${D}/vp2d_anom.H ${D}/vs2d_anom.H ${D}/rho2d_anom.H ${D}/mu2d_anom.H ${D}/lambda2d_anom.H



