#!/usr/bin/perl

if ($#ARGV < 6) {
	print "usage: Graphcomp.pl <title> <label1> <label2> <titlesz> <labelsz> <pclip> <dat1.H> [dat2.H ...] \n";
	exit (1);
}

$maxmax = 0;
$minmin = 0;
$pclip  = $ARGV[5];

for ($f = 6; $f <= $#ARGV; $f++) {
	$maxr = `Attr < $ARGV[$f] | grep 'maximum real' | awk '{print \$5}'`;
	$minr = `Attr < $ARGV[$f] | grep 'minimum real' | awk '{print \$5}'`;
	$maxi = `Attr < $ARGV[$f] | grep 'maximum imag' | awk '{print \$5}'`;
	$mini = `Attr < $ARGV[$f] | grep 'minimum imag' | awk '{print \$5}'`;

	chomp ($maxr, $minr, $maxi, $mini);

	($maxr) = ($maxr =~ /^\((\S+),\S+\)$/);
	($minr) = ($minr =~ /^\((\S+),\S+\)$/);
	($maxi) = ($maxi =~ /^\(\S+,(\S+)\)$/);
	($mini) = ($mini =~ /^\(\S+,(\S+)\)$/);

	$max = ($maxr > $maxi) ? $maxr : $maxi;
	$min = ($minr < $mini) ? $minr : $mini;

	$max = (abs($max) > abs($min)) ? $max : -$min;
	$min = (abs($max) > abs($min)) ? -$max : $min;

	$maxmax = ($maxmax < $max) ? $max : $maxmax;
	$minmin = ($minmin > $min) ? $min : $minmin;
}

$maxmax = $pclip*$maxmax/100;
$minmin = $pclip*$minmin/100;

for ($f = 6; $f <= $#ARGV; $f++) {
	($vname) = ($ARGV[$f] =~ /^\S+\/(\S+)\.H$/);

	$vname = "fig/"."$vname".".v";

	print "Graph < $ARGV[$f] title=\"$ARGV[0]\" label1=\"$ARGV[1]\" label2=\"$ARGV[2]\" titlesz=$ARGV[3] labelsz=$ARGV[4] max1=$maxmax min1=$minmin max2=$maxmax min2=$minmin out=$vname yreverse=1 grid=y plotfat=5 > /dev/null\n\n";
	system("Graph < $ARGV[$f] title=\"$ARGV[0]\" label1=\"$ARGV[1]\" label2=\"$ARGV[2]\" titlesz=$ARGV[3] labelsz=$ARGV[4] max1=$maxmax min1=$minmin max2=$maxmax min2=$minmin out=$vname yreverse=1 grid=y plotfat=5 > /dev/null");
}




