module sg_distrib_type_mod
	integer,parameter :: P_i=1, S_i=2
	integer,parameter :: vx_i=3, vz_i=4
	integer,parameter :: ux_i=5, uz_i=6
	integer,parameter :: txx_i=7, tzz_i=8, txz_i=9
	integer,parameter :: rot_i=10, rotc_i=11
	integer,parameter :: vxs_i=0, vzs_i=1
	integer,parameter :: vxr_i=0, vzr_i=1, Pr_i=2

type distrib_type

	real,pointer :: sponge_x(:)	! sponge in x
	real,pointer :: sponge_z(:)	! sponge in z

	real,pointer :: rho(:,:)	! density
	real,pointer :: lambda(:,:)	! lambda
	real,pointer :: mu(:,:)		! mu
	real,pointer :: mu_avg(:,:)	! mu averaged at boundaries for shear stresses

	real,pointer :: P (:,:)		! Pressure wave
	real,pointer :: S (:,:)		! Shear wave
	real,pointer :: vx(:,:)		! particle velocity in x
	real,pointer :: vz(:,:)		! particle velocity in z
	real,pointer :: ux(:,:)		! particle displacement in x
	real,pointer :: uz(:,:)		! particle displacement in z
	real,pointer :: txx(:,:)	! normal stress in x
	real,pointer :: tzz(:,:)	! normal stress in z
	real,pointer :: txz(:,:)	! shear stress
	real,pointer :: rot(:,:)	! rotation
	real,pointer :: rotc(:,:)	! rotation
	real,pointer  ::  all(:,:,:) !all of the wavefield arrays

	real,pointer :: vxs (:)			! virtual displacement source in x
	real,pointer :: vzs (:)			! virtual displacement source in z
	real,pointer :: srcmodel (:)	! all virtual source models
	real,pointer :: vxr (:)			! geophone recording x
	real,pointer :: vzr (:)			! geophone recording z
	real,pointer :: Pr  (:)			! hydrophone recording
	real,pointer :: recdata (:)		! all receiver data
end type

end module


