module sg_model_type_mod
	use helicon
	implicit none

integer,parameter :: source=0, receiver=1
integer,parameter :: rigid=0, free=1

type model_type
	logical			:: adj, add
	integer			:: nx,nz		!grid size in x,y, and z
	integer			:: fx,fz		!first index - some distribution leftover from the MPI version. I moved it from the distrib_type to the model_type.
	real			:: dx,dz		!sampling in x,y, and z
	integer			:: nt			!number of time samples
	real			:: dt			!sampling in time
	integer,pointer	:: recs(:,:)	!receiver locations
	integer,pointer	:: srcs(:,:)	!virtual source locations
	real			:: fpeak		!peak frequency
	real,pointer	:: wavelet(:)	!wavelet   
	integer			:: isrc_type	!type of src
	integer			:: izsrc,ixsrc	!point source location
	real,pointer	:: sponge_x_l(:), sponge_x_u(:), sponge_z_l(:), sponge_z_u(:)	!damping coefficients
	integer			:: nsponge_x_l, nsponge_x_u, nsponge_z_l, nsponge_z_u			!sponge zone size
	integer			:: proptype		!source or receiver wavefield
	type (filter)	:: dfilt		! helical filter coefficients
	real			:: decon_norm	! normalization coefficient frhor helical deconvolution
	integer			:: surf_type	! free (1) or rigid (0) upper boundary
	real			:: Pstrength	! strength of pressure source, supposedly in Pascals
end type

end module

